{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./wwwroot",
    "forceConsistentCasingInFileNames": true,
    "strict": false,
    "noImplicitOverride": true,
    "noImplicitReturns": false,
    "noFallthroughCasesInSwitch": true,
    "noImplicitAny": false,
    "pretty": false,
    "removeComments": true,
    "sourceMap": true,
    "strictNullChecks": false,
    "declaration": false,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "target": "ES2022",
    "module": "ES2022",
    "useDefineForClassFields": false,
    "allowSyntheticDefaultImports": true,
    "noPropertyAccessFromIndexSignature": false,
    "lib": [
      "ES2022",
      "dom"
    ],
    "paths": {
      "@src/*": [
        "src/*"
      ],
      "@app/*": [
        "src/app/*"
      ],
      "@environments/*": [
        "src/environments/*"
      ],
      "@account/*": [
        "src/app/areas/account/*"
      ],
      "@admin/*": [
        "src/app/areas/admin/*"
      ],
      "@support/*": [
        "src/app/areas/support/*"
      ],
      "@error/*": [
        "src/app/areas/error/*"
      ],
      "@shared/*": [
        "src/app/shared/*"
      ],
      "@accountant/*": [
        "src/app/areas/accountant/*"
      ]
    }
  },
  "angularCompilerOptions": {
    "enableI18nLegacyMessageIdFormat": false,
    "strictInjectionParameters": true,
    "strictInputAccessModifiers": true,
    "strictTemplates": true
  }
}